## recoll 1.12.0

=== index/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = recollindex csguess mimetype
SRCS = recollindex.cpp rclmonrcv.cpp rclmonprc.cpp

all: depend $(PROGS) $(BIGLIB)

RECOLLINDEX_OBJS= recollindex.o rclmonrcv.o rclmonprc.o $(BIGLIB) 
recollindex : $(RECOLLINDEX_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o recollindex $(RECOLLINDEX_OBJS) \
	       $(BSTATIC) $(LIBXAPIAN) $(LIBICONV) $(BDYNAMIC) \
	       $(LIBFAM) \
	       $(X_LIBS) $(X_PRE_LIBS) -lX11 $(X_EXTRA_LIBS) \
	       $(LIBSYS)
recollindex.o : recollindex.cpp
	$(CXX) $(ALL_CXXFLAGS) -c -o recollindex.o $<
rclmonrcv.o : rclmonrcv.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonrcv.o $<
rclmonprc.o : rclmonprc.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonprc.o $<

CSGUESS_OBJS= trcsguess.o  $(BIGLIB) 
csguess : $(CSGUESS_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o csguess $(CSGUESS_OBJS) \
	       $(LIBICONV)
trcsguess.o : csguess.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_CSGUESS -c -o trcsguess.o \
	       csguess.cpp

MIMETYPE_OBJS= trmimetype.o  $(BIGLIB) 
mimetype : $(MIMETYPE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o mimetype $(MIMETYPE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trmimetype.o : mimetype.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMETYPE -c -o trmimetype.o \
	       mimetype.cpp

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f *.o $(PROGS)

include alldeps

=== lib/Makefile ===
# DONT EDIT BY HAND: created by script mkMake
depth = ..
include $(depth)/mk/sysconf

LIBS = librcl.a

all: $(LIBS)

OBJS =  rclaspell.o rclconfig.o rclinit.o textsplit.o unacpp.o csguess.o indexer.o mimetype.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_html.o mh_mail.o mh_mbox.o mh_text.o docseq.o docseqdb.o docseqhist.o filtseq.o history.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o conftree.o copyfile.o debuglog.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o pathut.o pxattr.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-getpart.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime-printdoc.o mime-printheader.o mime.o convert.o iodevice.o iofactory.o
DEPS =  rclaspell.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp csguess.dep.stamp indexer.dep.stamp mimetype.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp history.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp pathut.dep.stamp pxattr.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-getpart.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime-printdoc.dep.stamp mime-printheader.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp

librcl.a : $(DEPS) $(OBJS) unac.o
	ar ru librcl.a $(OBJS) unac.o
	$(RANLIB) librcl.a

unac.o : $(depth)/unac/unac.c $(depth)/unac/unac.h
	$(CC) $(ALL_CXXFLAGS) -c $(depth)/unac/unac.c
rclaspell.o : ../aspell/rclaspell.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../aspell/rclaspell.cpp
rclconfig.o : ../common/rclconfig.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../common/rclconfig.cpp
rclinit.o : ../common/rclinit.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../common/rclinit.cpp
textsplit.o : ../common/textsplit.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../common/textsplit.cpp
unacpp.o : ../common/unacpp.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../common/unacpp.cpp
csguess.o : ../index/csguess.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../index/csguess.cpp
indexer.o : ../index/indexer.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../index/indexer.cpp
mimetype.o : ../index/mimetype.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../index/mimetype.cpp
htmlparse.o : ../internfile/htmlparse.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/htmlparse.cpp
myhtmlparse.o : ../internfile/myhtmlparse.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/myhtmlparse.cpp
mimehandler.o : ../internfile/mimehandler.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mimehandler.cpp
internfile.o : ../internfile/internfile.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/internfile.cpp
mh_exec.o : ../internfile/mh_exec.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_exec.cpp
mh_html.o : ../internfile/mh_html.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_html.cpp
mh_mail.o : ../internfile/mh_mail.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_mail.cpp
mh_mbox.o : ../internfile/mh_mbox.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_mbox.cpp
mh_text.o : ../internfile/mh_text.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_text.cpp
docseq.o : ../query/docseq.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseq.cpp
docseqdb.o : ../query/docseqdb.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqdb.cpp
docseqhist.o : ../query/docseqhist.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqhist.cpp
filtseq.o : ../query/filtseq.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/filtseq.cpp
history.o : ../query/history.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/history.cpp
plaintorich.o : ../query/plaintorich.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/plaintorich.cpp
recollq.o : ../query/recollq.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/recollq.cpp
reslistpager.o : ../query/reslistpager.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/reslistpager.cpp
sortseq.o : ../query/sortseq.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/sortseq.cpp
wasastringtoquery.o : ../query/wasastringtoquery.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/wasastringtoquery.cpp
wasatorcl.o : ../query/wasatorcl.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../query/wasatorcl.cpp
rcldb.o : ../rcldb/rcldb.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rcldb.cpp
rcldoc.o : ../rcldb/rcldoc.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rcldoc.cpp
rclquery.o : ../rcldb/rclquery.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rclquery.cpp
searchdata.o : ../rcldb/searchdata.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/searchdata.cpp
stemdb.o : ../rcldb/stemdb.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stemdb.cpp
stoplist.o : ../rcldb/stoplist.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stoplist.cpp
base64.o : ../utils/base64.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/base64.cpp
conftree.o : ../utils/conftree.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/conftree.cpp
copyfile.o : ../utils/copyfile.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/copyfile.cpp
debuglog.o : ../utils/debuglog.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/debuglog.cpp
execmd.o : ../utils/execmd.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/execmd.cpp
fstreewalk.o : ../utils/fstreewalk.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/fstreewalk.cpp
idfile.o : ../utils/idfile.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/idfile.cpp
fileudi.o : ../utils/fileudi.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/fileudi.cpp
md5.o : ../utils/md5.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/md5.cpp
mimeparse.o : ../utils/mimeparse.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/mimeparse.cpp
pathut.o : ../utils/pathut.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pathut.cpp
pxattr.o : ../utils/pxattr.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pxattr.cpp
readfile.o : ../utils/readfile.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/readfile.cpp
smallut.o : ../utils/smallut.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/smallut.cpp
transcode.o : ../utils/transcode.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/transcode.cpp
wipedir.o : ../utils/wipedir.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/wipedir.cpp
x11mon.o : ../utils/x11mon.cpp
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/x11mon.cpp
mime-getpart.o : ../bincimapmime/mime-getpart.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-getpart.cc
mime-parsefull.o : ../bincimapmime/mime-parsefull.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-parsefull.cc
mime-parseonlyheader.o : ../bincimapmime/mime-parseonlyheader.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-parseonlyheader.cc
mime-printbody.o : ../bincimapmime/mime-printbody.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-printbody.cc
mime-printdoc.o : ../bincimapmime/mime-printdoc.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-printdoc.cc
mime-printheader.o : ../bincimapmime/mime-printheader.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-printheader.cc
mime.o : ../bincimapmime/mime.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime.cc
convert.o : ../bincimapmime/convert.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/convert.cc
iodevice.o : ../bincimapmime/iodevice.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iodevice.cc
iofactory.o : ../bincimapmime/iofactory.cc
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iofactory.cc
depend: $(DEPS)
clean:
	rm -f $(OBJS) $(LIBS) $(DEPS) unac.o
	for i in *.dep;do test -f $$i && cp /dev/null $$i;done
distclean: clean
	rm -f *.dep   
rclaspell.dep.stamp : ../aspell/rclaspell.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../aspell/rclaspell.cpp > rclaspell.dep
	touch rclaspell.dep.stamp
rclconfig.dep.stamp : ../common/rclconfig.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../common/rclconfig.cpp > rclconfig.dep
	touch rclconfig.dep.stamp
rclinit.dep.stamp : ../common/rclinit.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../common/rclinit.cpp > rclinit.dep
	touch rclinit.dep.stamp
textsplit.dep.stamp : ../common/textsplit.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../common/textsplit.cpp > textsplit.dep
	touch textsplit.dep.stamp
unacpp.dep.stamp : ../common/unacpp.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../common/unacpp.cpp > unacpp.dep
	touch unacpp.dep.stamp
csguess.dep.stamp : ../index/csguess.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../index/csguess.cpp > csguess.dep
	touch csguess.dep.stamp
indexer.dep.stamp : ../index/indexer.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../index/indexer.cpp > indexer.dep
	touch indexer.dep.stamp
mimetype.dep.stamp : ../index/mimetype.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../index/mimetype.cpp > mimetype.dep
	touch mimetype.dep.stamp
htmlparse.dep.stamp : ../internfile/htmlparse.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/htmlparse.cpp > htmlparse.dep
	touch htmlparse.dep.stamp
myhtmlparse.dep.stamp : ../internfile/myhtmlparse.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/myhtmlparse.cpp > myhtmlparse.dep
	touch myhtmlparse.dep.stamp
mimehandler.dep.stamp : ../internfile/mimehandler.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mimehandler.cpp > mimehandler.dep
	touch mimehandler.dep.stamp
internfile.dep.stamp : ../internfile/internfile.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/internfile.cpp > internfile.dep
	touch internfile.dep.stamp
mh_exec.dep.stamp : ../internfile/mh_exec.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_exec.cpp > mh_exec.dep
	touch mh_exec.dep.stamp
mh_html.dep.stamp : ../internfile/mh_html.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_html.cpp > mh_html.dep
	touch mh_html.dep.stamp
mh_mail.dep.stamp : ../internfile/mh_mail.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_mail.cpp > mh_mail.dep
	touch mh_mail.dep.stamp
mh_mbox.dep.stamp : ../internfile/mh_mbox.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_mbox.cpp > mh_mbox.dep
	touch mh_mbox.dep.stamp
mh_text.dep.stamp : ../internfile/mh_text.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_text.cpp > mh_text.dep
	touch mh_text.dep.stamp
docseq.dep.stamp : ../query/docseq.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/docseq.cpp > docseq.dep
	touch docseq.dep.stamp
docseqdb.dep.stamp : ../query/docseqdb.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/docseqdb.cpp > docseqdb.dep
	touch docseqdb.dep.stamp
docseqhist.dep.stamp : ../query/docseqhist.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/docseqhist.cpp > docseqhist.dep
	touch docseqhist.dep.stamp
filtseq.dep.stamp : ../query/filtseq.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/filtseq.cpp > filtseq.dep
	touch filtseq.dep.stamp
history.dep.stamp : ../query/history.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/history.cpp > history.dep
	touch history.dep.stamp
plaintorich.dep.stamp : ../query/plaintorich.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/plaintorich.cpp > plaintorich.dep
	touch plaintorich.dep.stamp
recollq.dep.stamp : ../query/recollq.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/recollq.cpp > recollq.dep
	touch recollq.dep.stamp
reslistpager.dep.stamp : ../query/reslistpager.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/reslistpager.cpp > reslistpager.dep
	touch reslistpager.dep.stamp
sortseq.dep.stamp : ../query/sortseq.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/sortseq.cpp > sortseq.dep
	touch sortseq.dep.stamp
wasastringtoquery.dep.stamp : ../query/wasastringtoquery.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasastringtoquery.cpp > wasastringtoquery.dep
	touch wasastringtoquery.dep.stamp
wasatorcl.dep.stamp : ../query/wasatorcl.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasatorcl.cpp > wasatorcl.dep
	touch wasatorcl.dep.stamp
rcldb.dep.stamp : ../rcldb/rcldb.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldb.cpp > rcldb.dep
	touch rcldb.dep.stamp
rcldoc.dep.stamp : ../rcldb/rcldoc.cpp
	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldoc.cpp > rcldoc.dep
	touch rcldoc.dep.stamp
rclquery.dep.stamp : ../rcldb/rclquery.cpp

=== utils/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = trmd5 trreadfile trfileudi trconftree wipedir smallut \
      trfstreewalk trpathut \
      transcode trbase64 \
      trmimeparse trexecmd utf8iter idfile

all: $(PROGS) $(BIGLIB)

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

FSTREEWALK_OBJS= trfstreewalk.o fstreewalk.o $(BIGLIB)
trfstreewalk : $(FSTREEWALK_OBJS)
	$(CXX) -o trfstreewalk $(FSTREEWALK_OBJS) $(LIBICONV)
trfstreewalk.o : fstreewalk.cpp fstreewalk.h
	$(CXX) -o trfstreewalk.o -c $(ALL_CXXFLAGS) \
	       -DTEST_FSTREEWALK fstreewalk.cpp

READFILE_OBJS= trreadfile.o readfile.o $(BIGLIB)
trreadfile : $(READFILE_OBJS)
	$(CXX) -o trreadfile $(READFILE_OBJS) $(LIBICONV) $(LIBSYS)
trreadfile.o : readfile.cpp readfile.h
	$(CXX) -o trreadfile.o -c $(ALL_CXXFLAGS) \
	       -DTEST_READFILE readfile.cpp

MD5_OBJS= trmd5.o md5.o $(BIGLIB)
trmd5 : $(MD5_OBJS)
	$(CXX) -o trmd5 $(MD5_OBJS) $(LIBICONV) $(LIBSYS)
trmd5.o : md5.cpp md5.h
	$(CXX) -o trmd5.o -c $(ALL_CXXFLAGS) \
	       -DTEST_MD5 md5.cpp

PATHUT_OBJS= trpathut.o  $(BIGLIB)
trpathut : $(PATHUT_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trpathut $(PATHUT_OBJS)  $(LIBICONV)
trpathut.o : pathut.cpp pathut.h
	$(CXX) -o trpathut.o -c $(ALL_CXXFLAGS) -DTEST_PATHUT pathut.cpp

FILEUDI_OBJS= trfileudi.o  $(BIGLIB)
trfileudi : $(FILEUDI_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trfileudi $(FILEUDI_OBJS)
trfileudi.o : fileudi.cpp fileudi.h
	$(CXX) -o trfileudi.o -c $(ALL_CXXFLAGS) -DTEST_FILEUDI fileudi.cpp

EXECMD_OBJS= trexecmd.o $(BIGLIB)
trexecmd : $(EXECMD_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV)
trexecmd.o : execmd.cpp execmd.h
	$(CXX) -o trexecmd.o -c $(ALL_CXXFLAGS) -DTEST_EXECMD execmd.cpp

TRANSCODE_OBJS= trtranscode.o  $(BIGLIB) 
transcode : $(TRANSCODE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o transcode $(TRANSCODE_OBJS) $(LIBICONV)
trtranscode.o : transcode.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_TRANSCODE -c -o trtranscode.o \
	       transcode.cpp

IDFILE_OBJS= tridfile.o  $(BIGLIB) 
idfile : $(IDFILE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o idfile $(IDFILE_OBJS) $(LIBICONV)
tridfile.o : idfile.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_IDFILE -c -o tridfile.o \
	       idfile.cpp

MIMEPARSE_OBJS= trmimeparse.o  $(BIGLIB) 
trmimeparse : $(MIMEPARSE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trmimeparse $(MIMEPARSE_OBJS) $(LIBICONV)
trmimeparse.o : mimeparse.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMEPARSE -c -o trmimeparse.o \
	       mimeparse.cpp

SMALLUT_OBJS= trsmallut.o  $(BIGLIB) 
smallut : $(SMALLUT_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o smallut $(SMALLUT_OBJS) $(LIBICONV)
trsmallut.o : smallut.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SMALLUT -c -o trsmallut.o \
	       smallut.cpp

WIPEDIR_OBJS= trwipedir.o  $(BIGLIB) 
wipedir : $(WIPEDIR_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o wipedir $(WIPEDIR_OBJS) $(LIBICONV)
trwipedir.o : wipedir.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_WIPEDIR -c -o trwipedir.o \
	       wipedir.cpp

UTF8ITER_OBJS= trutf8iter.o 
utf8iter : $(UTF8ITER_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o utf8iter $(UTF8ITER_OBJS) $(BIGLIB) $(LIBICONV) 
trutf8iter.o : utf8iter.cpp utf8iter.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_UTF8ITER -c -o trutf8iter.o \
	       utf8iter.cpp


CONFTREE_OBJS= trconftree.o  $(BIGLIB)
trconftree : $(CONFTREE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trconftree $(CONFTREE_OBJS) $(LIBICONV) 
trconftree.o : conftree.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_CONFTREE -c -o trconftree.o \
	       conftree.cpp

BASE64_OBJS= trbase64.o  $(BIGLIB)
trbase64 : $(BASE64_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trbase64 $(BASE64_OBJS)
trbase64.o : base64.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_BASE64 -c -o trbase64.o \
	       base64.cpp

X11MON_OBJS= trx11mon.o x11mon.o
trx11mon : $(X11MON_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trx11mon $(X11MON_OBJS)  -L/usr/X11R6/lib -lX11
trx11mon.o : x11mon.cpp x11mon.h
	$(CXX) -o trx11mon.o -c $(ALL_CXXFLAGS) -DTEST_X11MON x11mon.cpp
x11mon.o: x11mon.cpp
	$(CXX) -c -I/usr/X11R6/include $(ALL_CXXFLAGS) x11mon.cpp
clean:
	rm -f *.o $(PROGS)

=== doc/user/Makefile ===
# 
# @(#$Id: Makefile,v 1.1 2006-01-04 11:09:53 dockes Exp $
#
#

MAINTAINER=jean-francois.dockes@wanadoo.fr

DOC?= usermanual
LANGCODE?= en_US.ISO_8859-1
FORMATS?= html txt html-split
JADEFLAGS+=	-V %generate-article-toc%

# The purpose for this is to replace the FreeBSD file which contains the 
# blurb about file being hosted on FreeBSD.org. To work, it also
# needs a modification to /usr/share/doc/mk/doc.docbook.mk. Around line
# 121, replace LANGUAGECATALOG= with LANGUAGECATALOG?=
LANGUAGECATALOG=/usr/doc/share/sgml/catalog

#INSTALL_COMPRESSED?= gz
INSTALL_ONLY_COMPRESSED?=

# 
# SRCS lists the individual SGML files that make up the document. Changes
# to any of these files will force a rebuild
#

# SGML content
SRCS=  usermanual.sgml

# ${.CURDIR}/../../..
DOC_PREFIX?= /usr/doc
.include "${DOC_PREFIX}/share/mk/doc.project.mk"

=== kde/kioslave/recoll/CMakeLists.txt ===
project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp
${rcltop}/aspell/rclaspell.cpp
${rcltop}/bincimapmime/mime-getpart.cc 
${rcltop}/bincimapmime/mime-parsefull.cc 
${rcltop}/bincimapmime/mime-parseonlyheader.cc 
${rcltop}/bincimapmime/mime-printbody.cc 
${rcltop}/bincimapmime/mime-printdoc.cc 
${rcltop}/bincimapmime/mime-printheader.cc 
${rcltop}/bincimapmime/mime.cc 
${rcltop}/bincimapmime/convert.cc 
${rcltop}/bincimapmime/iodevice.cc 
${rcltop}/bincimapmime/iofactory.cc 
${rcltop}/common/rclconfig.cpp
${rcltop}/common/rclinit.cpp
${rcltop}/common/textsplit.cpp
${rcltop}/common/unacpp.cpp
${rcltop}/index/mimetype.cpp
${rcltop}/internfile/htmlparse.cpp
${rcltop}/internfile/internfile.cpp
${rcltop}/internfile/myhtmlparse.cpp
${rcltop}/internfile/mimehandler.cpp
${rcltop}/internfile/mh_exec.cpp
${rcltop}/internfile/mh_html.cpp
${rcltop}/internfile/mh_mail.cpp
${rcltop}/internfile/mh_mbox.cpp
${rcltop}/internfile/mh_text.cpp
${rcltop}/query/docseq.cpp
${rcltop}/query/docseqdb.cpp
${rcltop}/query/plaintorich.cpp
${rcltop}/query/reslistpager.cpp
${rcltop}/query/wasastringtoquery.cpp
${rcltop}/query/wasatorcl.cpp
${rcltop}/rcldb/rcldb.cpp
${rcltop}/rcldb/rcldoc.cpp
${rcltop}/rcldb/rclquery.cpp
${rcltop}/rcldb/searchdata.cpp
${rcltop}/rcldb/stemdb.cpp
${rcltop}/rcldb/stoplist.cpp
${rcltop}/unac/unac.c
${rcltop}/utils/base64.cpp
${rcltop}/utils/conftree.cpp
${rcltop}/utils/copyfile.cpp
${rcltop}/utils/debuglog.cpp
${rcltop}/utils/execmd.cpp
${rcltop}/utils/idfile.cpp
${rcltop}/utils/fileudi.cpp
${rcltop}/utils/md5.cpp
${rcltop}/utils/mimeparse.cpp
${rcltop}/utils/pathut.cpp
${rcltop}/utils/readfile.cpp
${rcltop}/utils/smallut.cpp
${rcltop}/utils/transcode.cpp
${rcltop}/utils/wipedir.cpp
)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

target_link_libraries(kio_recoll xapian ${EXTRA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

## recoll 1.13.01

=== doc/user/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # The purpose for this is to replace the FreeBSD file which contains the 
 # blurb about file being hosted on FreeBSD.org. To work, it also
-# needs a modification to /usr/share/doc/mk/doc.docbook.mk. Around line
+# needs a modification to /usr/doc/share/mk/doc.docbook.mk. Around line
 # 121, replace LANGUAGECATALOG= with LANGUAGECATALOG?=
 LANGUAGECATALOG=/usr/doc/share/sgml/catalog

=== debian/changelog ===
recoll (1.13.01-1) unstable; urgency=low

  * New upstream release
    + Fixed bug that causes field values ignored for Capitalized words and
      phrases

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jan 2010 10:09:15 +0530

recoll (1.13.00-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed package descriptions, replaced QT->Qt (Closes: #563725)
  * debian/patches/01_nostrip_final_binaries_437901.diff:
    + Refreshed patch for upstream changes
  * Converted package to new source format '3.0 (quilt)'

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jan 2010 23:23:30 +0530

recoll (1.12.4-1) unstable; urgency=low

  * New upstream release:
    + Fixed FTBFS with binutils-gold (Closes: #556315)

 -- Kartik Mistry <kartik@debian.org>  Fri, 11 Dec 2009 00:08:37 +0530

recoll (1.12.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Build-Depends on libqt4-dev as we are building Qt4 ui now
  * debian/rules:
    + Make sure that we call qmake-qt4

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Oct 2009 22:44:50 +0530

recoll (1.12.2-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 02_manpage_fixes.diff, merged with upstream
  * Added debian/README.source file to confirm with latest policy
  * Removed debian/docs, we are using dh_installdocs in debian/rules
  * debian/control:
    + Wrapped up Build-Depends
    + Depends on quilt, since patch system is using quilt now
    + Updated to Standards-Version 3.8.3
    + Updated dependency on libxapian-dev (>= 1.0.15)
  * debian/rules:
    + Changes for quilt migration

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Oct 2009 10:14:05 +0530

recoll (1.12.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + [Lintian] Removed licenses URL links to symlink

 -- Kartik Mistry <kartik@debian.org>  Sat, 27 Jun 2009 20:08:28 +0530

recoll (1.12.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + [Lintian] Updated for use of correct copyright symbol © instead of (C)
    + Updated Debian packaging copyright year
  * debian/rules:
    + Used dh_prep instead of deprecated dh_clean -k
  * debian/control:
    + Updated debhelper dependency to 7
  * debian/patches:
    + Dropped 02_gcc-snapshot-missing-headers-fix.dpatch, merged with upstream
    + Added patch 02_manpage_fixes.dpatch for groff warnings

 -- Kartik Mistry <kartik@debian.org>  Sat, 28 Feb 2009 14:33:53 +0530

recoll (1.11.0-2) unstable; urgency=low

  * debian/control:
    + Added versioned build-dep on libxapian-dev, Thanks to Brad Sawatzky
      <brad+debian@swatter.net> for catch (Closes: #507473)
    + Add libimage-exiftool-perl as Suggests in which I forgot in
      previous upload
  * debian/changelog:
    + Fixed typo from previous upload entry

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Dec 2008 15:05:55 +0530

recoll (1.11.0-1) unstable; urgency=low

  * New upstream release:
    + Remembers missing filters in first run (Closes: #500690)
  * debian/control:
    + Added libimage-exiftool-perl as Suggests (Closes: #502427)
    + Added Python as recommaded due to filters/rclpython script
      although, its not necessary as it will be installed only
      when Python is present
  * debian/patches:
    + Refreshed patch for gcc 4.4 FTBFS (Closes: #505376)
  * debian/copyright:
    + Updated for newly added filter and image files

 -- Kartik Mistry <kartik@debian.org>  Thu, 13 Nov 2008 21:18:15 +0530

recoll (1.10.6-1) unstable; urgency=low

  * New upstream release
    + Fixed typo in tooltip in indexing configuration (Closes: #486689)
    + Dropped patch 03_manpage_fixes.dpatch, merged with upstream
  * debian/control:
    + Updated to Standards-Version 3.8.0 (no changes needed)
    + Updated my maintainer email address
  * debian/copyright:
    + Updated my maintainer email address
    + Updated license text to proposed license format
    + Updated upstream copyright year

 -- Kartik Mistry <kartik@debian.org>  Thu, 11 Sep 2008 16:06:48 +0530

recoll (1.10.2-1) unstable; urgency=low

  * New upstream release
    + Updated patch debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are now merged with upstream
  * debian/copyright:
    + Fixed indentation to 80 characters
    + Updated Debian package copyright year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 29 May 2008 23:25:40 +0530

recoll (1.10.1-1) unstable; urgency=low

  * New upstream release
    + Updated debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are merged with upstream
  * debian/control:
    + Fixed short description, Thanks to Mohammed Adnène Trojette
      <adn+deb@diwi.org>
  * debian/patches/03_manpage_fixes.dpatch:
    + Added patch to fix manpage groff warnings

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 27 Feb 2008 18:41:25 +0530

recoll (1.10.0-5) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Really fixed the FTBFS with gcc-4.3/g++-4.3 (Closes: #455652)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 27 Jan 2008 14:37:53 +0530

recoll (1.10.0-4) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Updated patch to fix missing include header in qtgui/main.cpp
      (Closes: #455652)
  * debian/copyright:
    + Updated missing license for qtgui/q3richtext_p.h
    + Moved other copyright holders for GPL above license
      to make it readable

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 23 Jan 2008 10:42:20 +0530

recoll (1.10.0-3) unstable; urgency=low

  * debian/control:
    + Added external helper programs and utilities to Suggests field
     (Closes: #441629, #457033)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 28 Dec 2007 08:12:52 +0530

recoll (1.10.0-2) unstable; urgency=low

  * debian/control:


=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libqt4-dev,
               libxapian-dev (>= 1.0.15),
               libx11-dev,
               libz-dev
Homepage: http://www.lesbonscomptes.com/recoll
Standards-Version: 3.8.3

Package: recoll
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: aspell, python
Suggests: antiword, catdoc, ghostscript, libimage-exiftool-perl, poppler-utils, unrtf, xpdf
Description: Personal full text search package with a Qt GUI
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI
  * Supports the following document types (and their compressed versions)
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, ppt (catdoc), rtf (unrtf)
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8
  * Stemming performed at query time (can switch stemming language after
    indexing)
  * Easy installation. No database daemon, web server or exotic language
    necessary
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program

## recoll 1.13.04

=== bincimapmime/Makefile ===
# @(#$Id: Makefile,v 1.6 2006-01-19 12:01:42 dockes Exp $  (C) 2005 J.F.Dockes

depth = ..
include $(depth)/mk/sysconf

LIBS = libmime.a
PROGS = trbinc

all: depend $(LIBS) 

SRCS = mime-getpart.cc mime-parsefull.cc mime-parseonlyheader.cc \
     mime-printbody.cc mime-printdoc.cc mime-printheader.cc mime.cc \
     convert.cc iodevice.cc iofactory.cc

OBJS = mime-getpart.o mime-parsefull.o mime-parseonlyheader.o \
     mime-printbody.o mime-printdoc.o mime-printheader.o mime.o  \
     convert.o iodevice.o iofactory.o

libmime.a : $(OBJS)
	 $(AR) ru libmime.a $(OBJS)

.cc.o:
	$(CXX) $(ALL_CXXFLAGS) -c $<

TRBINCOBJS = trbinc.o
trbinc: trbinc.o
	$(CXX) -o trbinc trbinc.o libmime.a 

depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f ${LIBS} ${PROGS} ${OBJS}

include alldeps

=== index/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	$(CXX) $(ALL_CXXFLAGS) -o recollindex $(RECOLLINDEX_OBJS) \
 	       $(BSTATIC) $(LIBXAPIAN) $(LIBICONV) $(BDYNAMIC) \
 	       $(LIBFAM) \
-	       $(X_LIBS) $(X_PRE_LIBS) -lX11 $(X_EXTRA_LIBS) \
+	       $(X_LIBS) $(X_PRE_LIBS) $(X_LIBX11) $(X_EXTRA_LIBS) \
 	       $(LIBSYS)
 recollindex.o : recollindex.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c -o recollindex.o $<

=== lib/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 all: $(LIBS)
 
-OBJS =  rclaspell.o rclconfig.o rclinit.o textsplit.o unacpp.o csguess.o indexer.o mimetype.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_html.o mh_mail.o mh_mbox.o mh_text.o docseq.o docseqdb.o docseqhist.o filtseq.o history.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o conftree.o copyfile.o debuglog.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o pathut.o pxattr.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-getpart.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime-printdoc.o mime-printheader.o mime.o convert.o iodevice.o iofactory.o
-DEPS =  rclaspell.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp csguess.dep.stamp indexer.dep.stamp mimetype.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp history.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp pathut.dep.stamp pxattr.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-getpart.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime-printdoc.dep.stamp mime-printheader.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp
+OBJS =  rclaspell.o rclconfig.o rclinit.o textsplit.o unacpp.o beaglequeue.o csguess.o fsindexer.o indexer.o mimetype.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_execm.o mh_html.o mh_mail.o mh_mbox.o mh_text.o docseq.o docseqdb.o docseqhist.o filtseq.o dynconf.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o circache.o closefrom.o conftree.o copyfile.o debuglog.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o netcon.o pathut.o pxattr.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-getpart.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime-printdoc.o mime-printheader.o mime.o convert.o iodevice.o iofactory.o
+DEPS =  rclaspell.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp beaglequeue.dep.stamp csguess.dep.stamp fsindexer.dep.stamp indexer.dep.stamp mimetype.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_execm.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp dynconf.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp circache.dep.stamp closefrom.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp netcon.dep.stamp pathut.dep.stamp pxattr.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-getpart.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime-printdoc.dep.stamp mime-printheader.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp
 
 librcl.a : $(DEPS) $(OBJS) unac.o
 	ar ru librcl.a $(OBJS) unac.o
@@ -25,8 +25,12 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../common/textsplit.cpp
 unacpp.o : ../common/unacpp.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../common/unacpp.cpp
+beaglequeue.o : ../index/beaglequeue.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../index/beaglequeue.cpp
 csguess.o : ../index/csguess.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../index/csguess.cpp
+fsindexer.o : ../index/fsindexer.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../index/fsindexer.cpp
 indexer.o : ../index/indexer.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../index/indexer.cpp
 mimetype.o : ../index/mimetype.cpp
@@ -41,6 +45,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/internfile.cpp
 mh_exec.o : ../internfile/mh_exec.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_exec.cpp
+mh_execm.o : ../internfile/mh_execm.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_execm.cpp
 mh_html.o : ../internfile/mh_html.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_html.cpp
 mh_mail.o : ../internfile/mh_mail.cpp
@@ -57,8 +63,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqhist.cpp
 filtseq.o : ../query/filtseq.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/filtseq.cpp
-history.o : ../query/history.cpp
-	$(CXX) $(ALL_CXXFLAGS) -c ../query/history.cpp
+dynconf.o : ../query/dynconf.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../query/dynconf.cpp
 plaintorich.o : ../query/plaintorich.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/plaintorich.cpp
 recollq.o : ../query/recollq.cpp
@@ -85,6 +91,10 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stoplist.cpp
 base64.o : ../utils/base64.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/base64.cpp
+circache.o : ../utils/circache.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/circache.cpp
+closefrom.o : ../utils/closefrom.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/closefrom.cpp
 conftree.o : ../utils/conftree.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/conftree.cpp
 copyfile.o : ../utils/copyfile.cpp
@@ -103,6 +113,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/md5.cpp
 mimeparse.o : ../utils/mimeparse.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/mimeparse.cpp
+netcon.o : ../utils/netcon.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/netcon.cpp
 pathut.o : ../utils/pathut.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pathut.cpp
 pxattr.o : ../utils/pxattr.cpp
@@ -139,7 +151,7 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iofactory.cc
 depend: $(DEPS)
 clean:
-	rm -f $(OBJS) $(LIBS) $(DEPS) unac.o
+	rm -f $(OBJS) $(LIBS) $(DEPS) *.stamp unac.o
 	for i in *.dep;do test -f $$i && cp /dev/null $$i;done
 distclean: clean
 	rm -f *.dep   
@@ -158,9 +170,15 @@
 unacpp.dep.stamp : ../common/unacpp.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../common/unacpp.cpp > unacpp.dep
 	touch unacpp.dep.stamp
+beaglequeue.dep.stamp : ../index/beaglequeue.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../index/beaglequeue.cpp > beaglequeue.dep
+	touch beaglequeue.dep.stamp
 csguess.dep.stamp : ../index/csguess.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../index/csguess.cpp > csguess.dep
 	touch csguess.dep.stamp
+fsindexer.dep.stamp : ../index/fsindexer.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../index/fsindexer.cpp > fsindexer.dep
+	touch fsindexer.dep.stamp
 indexer.dep.stamp : ../index/indexer.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../index/indexer.cpp > indexer.dep
 	touch indexer.dep.stamp
@@ -182,6 +200,9 @@
 mh_exec.dep.stamp : ../internfile/mh_exec.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_exec.cpp > mh_exec.dep
 	touch mh_exec.dep.stamp
+mh_execm.dep.stamp : ../internfile/mh_execm.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_execm.cpp > mh_execm.dep
+	touch mh_execm.dep.stamp
 mh_html.dep.stamp : ../internfile/mh_html.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_html.cpp > mh_html.dep
 	touch mh_html.dep.stamp
@@ -206,31 +227,6 @@
 filtseq.dep.stamp : ../query/filtseq.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../query/filtseq.cpp > filtseq.dep
 	touch filtseq.dep.stamp
-history.dep.stamp : ../query/history.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/history.cpp > history.dep
-	touch history.dep.stamp
-plaintorich.dep.stamp : ../query/plaintorich.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/plaintorich.cpp > plaintorich.dep
-	touch plaintorich.dep.stamp
-recollq.dep.stamp : ../query/recollq.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/recollq.cpp > recollq.dep
-	touch recollq.dep.stamp
-reslistpager.dep.stamp : ../query/reslistpager.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/reslistpager.cpp > reslistpager.dep
-	touch reslistpager.dep.stamp
-sortseq.dep.stamp : ../query/sortseq.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/sortseq.cpp > sortseq.dep
-	touch sortseq.dep.stamp
-wasastringtoquery.dep.stamp : ../query/wasastringtoquery.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasastringtoquery.cpp > wasastringtoquery.dep
-	touch wasastringtoquery.dep.stamp
-wasatorcl.dep.stamp : ../query/wasatorcl.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasatorcl.cpp > wasatorcl.dep
-	touch wasatorcl.dep.stamp
-rcldb.dep.stamp : ../rcldb/rcldb.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldb.cpp > rcldb.dep
-	touch rcldb.dep.stamp
-rcldoc.dep.stamp : ../rcldb/rcldoc.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldoc.cpp > rcldoc.dep
-	touch rcldoc.dep.stamp
-rclquery.dep.stamp : ../rcldb/rclquery.cpp
+dynconf.dep.stamp : ../query/dynconf.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../query/dynconf.cpp > dynconf.dep
+	touch dynconf.dep.stamp

=== utils/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 depth = ..
 include $(depth)/mk/sysconf
 
-PROGS = trmd5 trreadfile trfileudi trconftree wipedir smallut \
+PROGS = trcircache trmd5 trreadfile trfileudi trconftree wipedir smallut \
       trfstreewalk trpathut \
       transcode trbase64 \
       trmimeparse trexecmd utf8iter idfile
@@ -26,6 +26,13 @@
 	$(CXX) -o trreadfile.o -c $(ALL_CXXFLAGS) \
 	       -DTEST_READFILE readfile.cpp
 
+CIRCACHE_OBJS= trcircache.o circache.o $(BIGLIB)
+trcircache : $(CIRCACHE_OBJS)
+	$(CXX) -o trcircache $(CIRCACHE_OBJS) $(LIBICONV) $(LIBSYS)
+trcircache.o : circache.cpp circache.h
+	$(CXX) -o trcircache.o -c $(ALL_CXXFLAGS) \
+	       -DTEST_CIRCACHE circache.cpp
+
 MD5_OBJS= trmd5.o md5.o $(BIGLIB)
 trmd5 : $(MD5_OBJS)
 	$(CXX) -o trmd5 $(MD5_OBJS) $(LIBICONV) $(LIBSYS)
@@ -47,7 +54,7 @@
 
 EXECMD_OBJS= trexecmd.o $(BIGLIB)
 trexecmd : $(EXECMD_OBJS)
-	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV)
+	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV) $(LIBSYS)
 trexecmd.o : execmd.cpp execmd.h
 	$(CXX) -o trexecmd.o -c $(ALL_CXXFLAGS) -DTEST_EXECMD execmd.cpp
 
@@ -72,12 +79,14 @@
 	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMEPARSE -c -o trmimeparse.o \
 	       mimeparse.cpp
 
-SMALLUT_OBJS= trsmallut.o  $(BIGLIB) 
-smallut : $(SMALLUT_OBJS)
+SMALLUT_OBJS= trsmallut.o ../lib/smallut.o
+smallut : $(SMALLUT_OBJS) smallut.h
 	$(CXX) $(ALL_CXXFLAGS) -o smallut $(SMALLUT_OBJS) $(LIBICONV)
-trsmallut.o : smallut.cpp 
+trsmallut.o : smallut.cpp smallut.h
 	$(CXX) $(ALL_CXXFLAGS) -DTEST_SMALLUT -c -o trsmallut.o \
 	       smallut.cpp
+../lib/smallut.o: smallut.cpp smallut.h
+	cd ../lib;make smallut.o
 
 WIPEDIR_OBJS= trwipedir.o  $(BIGLIB) 
 wipedir : $(WIPEDIR_OBJS)

=== kde/kioslave/recoll/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+cmake_minimum_required(VERSION 2.6)
+
 project(kio_recoll)
 
 find_package(KDE4 REQUIRED)
@@ -11,6 +13,15 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 
 
 set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)
+
+# Execute minimum recoll configuration to create autoconfig.h and version.h
+execute_process(COMMAND ${rcltop}/configure --without-gui --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
+		WORKING_DIRECTORY ${rcltop}
+)
+execute_process(COMMAND make common/rclversion.h
+		WORKING_DIRECTORY ${rcltop}
+)
+
 
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
   ${rcltop}/aspell 
@@ -41,11 +52,13 @@
 ${rcltop}/common/textsplit.cpp
 ${rcltop}/common/unacpp.cpp
 ${rcltop}/index/mimetype.cpp
+${rcltop}/index/beaglequeue.cpp
 ${rcltop}/internfile/htmlparse.cpp
 ${rcltop}/internfile/internfile.cpp
 ${rcltop}/internfile/myhtmlparse.cpp
 ${rcltop}/internfile/mimehandler.cpp
 ${rcltop}/internfile/mh_exec.cpp
+${rcltop}/internfile/mh_execm.cpp
 ${rcltop}/internfile/mh_html.cpp
 ${rcltop}/internfile/mh_mail.cpp
 ${rcltop}/internfile/mh_mbox.cpp
@@ -64,14 +77,18 @@
 ${rcltop}/rcldb/stoplist.cpp
 ${rcltop}/unac/unac.c
 ${rcltop}/utils/base64.cpp
+${rcltop}/utils/circache.cpp
+${rcltop}/utils/closefrom.cpp
 ${rcltop}/utils/conftree.cpp
 ${rcltop}/utils/copyfile.cpp
 ${rcltop}/utils/debuglog.cpp
 ${rcltop}/utils/execmd.cpp
+${rcltop}/utils/fstreewalk.cpp
 ${rcltop}/utils/idfile.cpp
 ${rcltop}/utils/fileudi.cpp
 ${rcltop}/utils/md5.cpp
 ${rcltop}/utils/mimeparse.cpp
+${rcltop}/utils/netcon.cpp
 ${rcltop}/utils/pathut.cpp
 ${rcltop}/utils/readfile.cpp
 ${rcltop}/utils/smallut.cpp
@@ -90,7 +107,7 @@
 
 kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})
 
-target_link_libraries(kio_recoll xapian ${EXTRA_LIBS} ${KDE4_KIO_LIBS})
+target_link_libraries(kio_recoll xapian z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
recoll (1.13.04-3+squeeze1) stable; urgency=low

  * debian/patches/03_patch-unac-icclose.diff:
    + plug conversion descriptor leak in unac.c::convert() error path, fixes
      index crash (Closes: #614760)

 -- Kartik Mistry <kartik@debian.org>  Sat, 29 Oct 2011 19:41:21 +0530

recoll (1.13.04-3) unstable; urgency=low

  * Added patch for xapian 1.2 compatibility from Olly Betts <olly@survex.com>
    (Closes: #579929)

 -- Kartik Mistry <kartik@debian.org>  Mon, 03 May 2010 09:47:16 +0530

recoll (1.13.04-2) unstable; urgency=low

  * debian/control:
    + Added missing packages to Suggests: flac, libid3-tools, lyx, pstotext,
      python-chm, untex, vorbis-tools Thanks to Ivan Vilata i Balaguer
      <ivan@selidor.net> (Closes: #578441)

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Apr 2010 11:07:00 +0530

recoll (1.13.04-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Apr 2010 10:39:02 +0530

recoll (1.13.02-2) unstable; urgency=low

  * debian/control:
    + Don't suggest xpdf (Closes: #569333)
  * debian/copyright:
    + Updated Debian package copyright year
  * Removed unused README.source file

 -- Kartik Mistry <kartik@debian.org>  Fri, 19 Feb 2010 10:42:53 +0530

recoll (1.13.02-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.4 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2010 11:00:53 +0530

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
                libx11-dev,
                libz-dev
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: recoll
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: aspell, python
-Suggests: antiword, catdoc, ghostscript, libimage-exiftool-perl, poppler-utils, unrtf, xpdf
+Suggests: antiword, catdoc, flac, ghostscript, libid3-tools,
+ libimage-exiftool-perl, lyx, poppler-utils, pstotext, python-chm, unrtf, untex,
+ vorbis-tools
 Description: Personal full text search package with a Qt GUI
  This package is a personal full text search package is based on a very strong
  backend (Xapian), for which it provides an easy to use and feature-rich

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs

#build qt4 UI only
export QMAKE=qmake-qt4

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --mandir=\$${prefix}/share/man \
		    --prefix=/usr

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean Makefile

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/recoll/usr install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
